using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;


namespace TestApp
{
    public class StockCache : Dictionary<int, Stock>, IListSource
    {
        private List<Stock> stockList;

        #region IListSource Members
        public bool ContainsListCollection
        {
            get { return true; }
        }

        public IList GetList()
        {
            if (stockList == null)
                stockList = new List<Stock>();

            stockList.AddRange(this.Values);
            return stockList;
        }
        #endregion

    }
}
